package ink.wgink.service.department.pojo.vos;

import ink.wgink.annotation.CheckListAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;


/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SplitDepartmentVO
 * @Description: 拆分机构部门
 * @Author: WangGeng
 * @Date: 2020/6/4 11:19 下午
 * @Version: 1.0
 **/
@ApiModel
public class SplitDepartmentVO {

    @ApiModelProperty(name = "splitDepartments", value = "拆分的部门列表")
    @CheckListAnnotation(name = "拆分的部门列表")
    private List<SplitDepartmentInfoVO> splitDepartments;

    public List<SplitDepartmentInfoVO> getSplitDepartments() {
        return splitDepartments;
    }

    public void setSplitDepartments(List<SplitDepartmentInfoVO> splitDepartments) {
        this.splitDepartments = splitDepartments;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"splitDepartments\":")
                .append(splitDepartments);
        sb.append('}');
        return sb.toString();
    }
}
